### Constructor

# FwupdPlugin LinearFirmware new

since: 1.8.2

#### Declaration [src]

    FuFirmware*
    fu_linear_firmware_new (
      GType image_gtype
    )

#### Description [src]

Creates a new `FuFirmware` made up of concatenated images.

Available since: 1.8.2

#### Parameters

`image_gtype`

  Type: `GType`

  A `GType`, e.g. `FU_TYPE_OPROM_FIRMWARE`.

#### Return value

Type: `FuFirmware`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.